Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2192 closed defect (fixed)

Possible signed extension on 16-bit targets in ELF loading (Coverity 1255339).

Reported by: Chris Johns Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: lib/dl Version: 4.11
Severity: blocker Keywords: RTL
Cc: Blocked By:
Blocking:

Description

Coverity (defect 1255339) has indicated a possible 16-bit overflow.

Change History (3)

comment:1 Changed on 11/20/14 at 02:53:15 by Chris Johns <chrisj@…>

In [changeset:"580466cc9c7244d37352523009fda65108a666fd/rtems"]:

libdl: Update comment with details about the error fix.

See refs #2192.

comment:2 Changed on 11/20/14 at 03:28:57 by Chris Johns

Milestone: 4.124.11
Resolution: fixed
Status: newclosed

comment:3 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.